%define current_version 1.0.54

%define debug_package %{nil}

Name:       disp-helper-scripts-vz
Version:    %{current_version}
Release:        1%{?dist}
Summary:    Stat collector

Group:          Applications/Emulators
License:        GPLv2
ExclusiveArch:  x86_64
Source0:        %{name}-%{version}.tar.bz2

Provides:	disp-helper-scripts
Requires:       libvirt-python
Requires:       python-lxml
Requires:       python-configparser
Requires:	python-xmltodict
Requires:	python-pyudev
Requires:	lshw
Requires:	lsscsi
Requires:	dmidecode
Requires:	python-psutil
Requires:	python-ipaddress
Requires:	smartmontools
BuildRequires:  make
#BuildRequires:  gcc, gcc-c++
# For tests
BuildRequires:  python-xmltodict
BuildRequires:  python-pyudev
BuildRequires:  python-psutil
BuildRequires:	python-ipaddress
BuildRequires:	disp-helper
#BuildArch:    noarch
Requires:	disp-helper >= 1.0.0

%description
CEP collector scripts

%prep
%setup -q

%build

%install
%makeinstall DEST_DIR=%{buildroot}
rm -rf %{buildroot}/usr/share/virtuozzo/cep-scripts/openstack.py
rm -rf %{buildroot}/usr/share/virtuozzo/cep-scripts/memstats.py
rm -rf %{buildroot}/usr/share/virtuozzo/cep-scripts/k8s.py
rm -rf %{buildroot}/usr/share/virtuozzo/cep-scripts/loadbalancer.py
rm -rf %{buildroot}/usr/share/virtuozzo/cep-scripts/cep_long_operations.py

%check
# Sanity check for scripts
# infra_builder is not supposed to be called directly,
# others either fail or stuck forever if launched without Vz components
IGNORE="infra_builder\|libvirt\|network\|ves\|backend_info"
ln -s /usr/share/virtuozzo/cep-scripts/infra_cep_helper.py %{buildroot}/usr/share/virtuozzo/cep-scripts/infra_cep_helper.py
ls %{buildroot}/usr/share/virtuozzo/cep-scripts/ | grep 'py$' |grep -v "$IGNORE" | while read script; do
  python %{buildroot}/usr/share/virtuozzo/cep-scripts/$script /tmp 1 < /dev/null || exit 1
done
rm -f %{buildroot}/usr/share/virtuozzo/cep-scripts/infra_cep_helper.py*

%post
# On the first installation, create crontab script for auto-update
if [ $1 -eq 1 ] ; then
  mkdir -p /etc/cron.d >/dev/null 2>&1
  DAY=$(( $RANDOM % 7 ))
  HOUR=$(( $RANDOM % 24 ))
  MINUTE=$(( $RANDOM % 60 ))
  echo "$MINUTE $HOUR * * $DAY root /usr/bin/yum -y update --disableplugin=openvz --disableplugin=virtuozzo %{name} >> /var/log/disp-helper-update.log 2>&1" > /etc/cron.d/%{name}
fi

%postun
if [ $1 -eq 0 ] ; then
  rm -rf /etc/cron.d/%{name}
fi

%files
%defattr(-,root,root)
%attr(744,root,root) /usr/share/virtuozzo/cep-scripts/*.py
%attr(644,root,root) %{_sysconfdir}/rsyslog.d/vz-log.conf
/usr/share/virtuozzo/cep-scripts/*.pyo
/usr/share/virtuozzo/cep-scripts/*.pyc

%changelog
* Tue Sep 28 2021 VZ Auto Builder <builder@virtuozzo.com> 1.0.54
 - drop prlctl tool due to deprecation, use vzctl, see #PSBM-129595 (Alexander
Stefanov <astefanov@virtuozzo.com>)

* Wed Sep 22 2021 VZ Auto Builder <builder@virtuozzo.com> 1.0.51
 - Fix vz.conf processing, PSBM-134077 (Denis Silakov <dsilakov@virtuozzo.com>)

* Wed Sep 08 2021 VZ Auto Builder <builder@virtuozzo.com> 1.0.49
 - In ves.py, proceed to use prlctl when available (Denis Silakov
<dsilakov@virtuozzo.com>)
 - Collect libvirt clients, PSBM-124997 (Denis Silakov <dsilakov@virtuozzo.com>)
 - autoupdate_logs were added but script never runs, fixed (Alexander Stefanov
<astefanov@virtuozzo.com>)
 - cleanup (Alexander Stefanov <astefanov@virtuozzo.com>)
 - drop prlctl (Alexander Stefanov <astefanov@virtuozzo.com>)

* Wed Sep 01 2021 VZ Auto Builder <builder@virtuozzo.com> 1.0.47
 - Fix xml processing in libvirt_get_info.py (Denis Silakov
<dsilakov@virtuozzo.com>)

* Tue Aug 31 2021 VZ Auto Builder <builder@virtuozzo.com> 1.0.45
 - Support vzconvert7 flag, PSBM-126877 (Denis Silakov <dsilakov@virtuozzo.com>)

* Thu Aug 19 2021 VZ Auto Builder <builder@virtuozzo.com> 1.0.44
 - Get rid of prlctl in backend_info.py (Denis Silakov <dsilakov@virtuozzo.com>)

* Tue Aug 10 2021 VZ Auto Builder <builder@virtuozzo.com> 1.0.43
 - drop prlctl and use vzctl tool, see #PSBM-129595 (Alexander Stefanov
<astefanov@virtuozzo.com>)

* Tue Aug 10 2021 VZ Auto Builder <builder@virtuozzo.com> 1.0.42
 - drop prlctl and use vzctl tool, see #PSBM-129595 (Alexander Stefanov
<astefanov@virtuozzo.com>)

* Thu Aug 05 2021 VZ Auto Builder <builder@virtuozzo.com> 1.0.41
 - adjust script to catch version on old-timer distros like centos6 (Alexander
Stefanov <astefanov@virtuozzo.com>)
 - resolve #PSBM-129752, due to platform.linux_distribution is deprecated lets
remove it and replace with parsing /etc/os-release (Alexander Stefanov
<astefanov@virtuozzo.com>)

* Wed Jul 21 2021 VZ Auto Builder <builder@virtuozzo.com> 1.0.40
 - Fix exec_guest_command output, PSBM-132085 (Denis Silakov
<dsilakov@virtuozzo.com>)

* Sat Jul 10 2021 VZ Auto Builder <builder@virtuozzo.com> 1.0.39
 - Minor formatting fixes (Denis Silakov <dsilakov@virtuozzo.com>)
 - fix indent (Alexander Stefanov <astefanov@virtuozzo.com>)
 - fix indent (Alexander Stefanov <astefanov@virtuozzo.com>)
 - parse cloud config #VZP-1458 (Alexander Stefanov <astefanov@virtuozzo.com>)
 - add virt_what too (Alexander Stefanov <astefanov@virtuozzo.com>)
 - resolve #VZP-1457 (Alexander Stefanov <astefanov@virtuozzo.com>)

* Fri Jul 09 2021 VZ Auto Builder <builder@virtuozzo.com> 1.0.38
 - Drop different py3 hacks, we fixed disp-helper insted (Denis Silakov
<dsilakov@virtuozzo.com>)

* Fri Jul 09 2021 VZ Auto Builder <builder@virtuozzo.com> 1.0.37
 - Drop different py3 hacks, we fixed disp-helper insted (Denis Silakov
<dsilakov@virtuozzo.com>)

* Thu Jul 08 2021 VZ Auto Builder <builder@virtuozzo.com> 1.0.36
 - Fix iptables_num_rules in network.py , PSBM-131545 (Denis Silakov
<dsilakov@virtuozzo.com>)
 - Fix post scripts (Updates Tracker <dsilakov@virtuozzo.com>)

* Thu Jul 08 2021 VZ Auto Builder <builder@virtuozzo.com> 1.0.35
 - No need to  try collecting libvirt info if libvirtd is not running, VZP-1455
(Denis Silakov <dsilakov@virtuozzo.com>)
 - Fix post scripts (Updates Tracker <dsilakov@virtuozzo.com>)

* Thu Jul 08 2021 VZ Auto Builder <builder@virtuozzo.com> 1.0.34
 - Fix post scripts (Updates Tracker <dsilakov@virtuozzo.com>)

* Thu Jul 08 2021 VZ Auto Builder <builder@virtuozzo.com> 1.0.33
 - Fix missing values on Vz8 and VzLinux8, VZP-1455 (Denis Silakov
<dsilakov@virtuozzo.com>)

* Mon Jul 05 2021 VZ Auto Builder <builder@virtuozzo.com> 1.0.32
 - Be more careful with try-except (Denis Silakov <dsilakov@virtuozzo.com>)
 - Fix vz.conf collector (Denis Silakov <dsilakov@virtuozzo.com>)

* Mon Jul 05 2021 VZ Auto Builder <builder@virtuozzo.com> 1.0.31
 - add qcow2 info #PSBM-125286 (Alexander Stefanov <astefanov@virtuozzo.com>)

* Fri Jul 02 2021 VZ Auto Builder <builder@virtuozzo.com> 1.0.30
 - cleanup a bit (Alexander Stefanov <astefanov@virtuozzo.com>)
 - replace tabs with spaces (Alexander Stefanov <astefanov@virtuozzo.com>)
 - remove test value (Alexander Stefanov <astefanov@virtuozzo.com>)
 - resolve #PSBM-129783 (Alexander Stefanov <astefanov@virtuozzo.com>)
 - fix ftrim value a bit (Alexander Stefanov <astefanov@virtuozzo.com>)

* Thu Jul 01 2021 VZ Auto Builder <builder@virtuozzo.com> 1.0.29
 - Do not allow ftrim_value to be undefined (Denis Silakov
<dsilakov@virtuozzo.com>)

* Thu Jul 01 2021 VZ Auto Builder <builder@virtuozzo.com> 1.0.28
 - collect fitrim value from /sys see #PSBM-127079 (Alexander Stefanov
<astefanov@virtuozzo.com>)

* Tue Jun 29 2021 VZ Auto Builder <builder@virtuozzo.com> 1.0.27
 - More py3 adoptins, PSBM-130970 (Denis Silakov <dsilakov@virtuozzo.com>)

* Thu Jun 24 2021 VZ Auto Builder <builder@virtuozzo.com> 1.0.26
 - More rework of libvirt_get_info.py for py3 (Denis Silakov
<dsilakov@virtuozzo.com>)
 - Not forget to import re in libvirt_get_info.py (Denis Silakov
<dsilakov@virtuozzo.com>)
 - There is no StandardError in py3 (Denis Silakov <dsilakov@virtuozzo.com>)

* Thu Jun 24 2021 VZ Auto Builder <builder@virtuozzo.com> 1.0.25
 - Not forget to import re in libvirt_get_info.py (Denis Silakov
<dsilakov@virtuozzo.com>)
 - There is no StandardError in py3 (Denis Silakov <dsilakov@virtuozzo.com>)
 - Be ready that result is not str, PSBM-129732 (Denis Silakov
<dsilakov@virtuozzo.com>)

* Thu Jun 24 2021 VZ Auto Builder <builder@virtuozzo.com> 1.0.24
 - Be ready that result is not str, PSBM-129732 (Denis Silakov
<dsilakov@virtuozzo.com>)

* Tue May 25 2021 VZ Auto Builder <builder@virtuozzo.com> 1.0.23
 - Check O_DIRECT for backup dir (Denis Silakov <dsilakov@virtuozzo.com>)

* Wed Apr 21 2021 VZ Auto Builder <builder@virtuozzo.com> 1.0.22
 - Collect upgrade logs for PSBM-126190 and PSBM-126191 (Denis Silakov
<dsilakov@virtuozzo.com>)

* Wed Apr 14 2021 VZ Auto Builder <builder@virtuozzo.com> 1.0.21
 - use True/False (Alexander Stefanov <astefanov@virtuozzo.com>)
 - fix #PSBM-124974 add /var/log/leapp check (Alexander Stefanov
<astefanov@virtuozzo.com>)

* Tue Apr 13 2021 VZ Auto Builder <builder@virtuozzo.com> 1.0.19
 - cleanup (Alexander Stefanov <astefanov@virtuozzo.com>)
 - resolve #PSBM-121570 (Alexander Stefanov <astefanov@virtuozzo.com>)

* Fri Apr 02 2021 VZ Auto Builder <builder@virtuozzo.com> 1.0.18
 - prl_remote_auth for clear (Alexander Stefanov <astefanov@virtuozzo.com>)
 - adjust string to compare (Alexander Stefanov <astefanov@virtuozzo.com>)
 - add check that id_rsa exist, see #PSBM-126223 (Alexander Stefanov
<astefanov@virtuozzo.com>)

* Wed Mar 31 2021 VZ Auto Builder <builder@virtuozzo.com> 1.0.17
 - ct_repos.py: no need to check suse/deb if we found yum (Denis Silakov
<dsilakov@virtuozzo.com>)
 - add suse distros (Alexander Stefanov <astefanov@virtuozzo.com>)

* Tue Mar 30 2021 VZ Auto Builder <builder@virtuozzo.com> 1.0.16
 - add debian-like distros (Alexander Stefanov <astefanov@virtuozzo.com>)
 - remove import time (Alexander Stefanov <astefanov@virtuozzo.com>)
 - add ct_repos.py #PSBM-126934 (Alexander Stefanov <astefanov@virtuozzo.com>)

* Tue Mar 16 2021 VZ Auto Builder <builder@virtuozzo.com> 1.0.15
 - PSBM-126257 (Alexander Stefanov <astefanov@virtuozzo.com>)

* Wed Mar 03 2021 VZ Auto Builder <builder@virtuozzo.com> 1.0.14
 - PSBM-126456 (Alexander Stefanov <astefanov@virtuozzo.com>)

* Thu Feb 11 2021 VZ Auto Builder <builder@virtuozzo.com> 1.0.12
 - PSBM-123176 (Alexander Stefanov <astefanov@virtuozzo.com>)
 - PSBM-123176 (Alexander Stefanov <astefanov@virtuozzo.com>)

* Thu Feb 11 2021 VZ Auto Builder <builder@virtuozzo.com> 1.0.11
 - PSBM-123176 (Alexander Stefanov <astefanov@virtuozzo.com>)
 - PSBM-123176 (Alexander Stefanov <astefanov@virtuozzo.com>)

* Tue Dec 15 2020 Denis Silakov <dsilakov@virtuozzo.com> 1.0.10-3
 - Require newer disp-helper, PSBM-123662

* Tue Nov 10 2020 VZ Auto Builder <builder@virtuozzo.com> 1.0.10
 - Add vz-log.conf to install target (Denis Silakov <dsilakov@virtuozzo.com>)
 - Move vz-log.conf to scripts package (Denis Silakov <dsilakov@virtuozzo.com>)
 - Move vz-log.conf to scripts package (Denis Silakov <dsilakov@virtuozzo.com>)

* Wed Oct 21 2020 VZ Auto Builder <builder@virtuozzo.com> 1.0.9
 - Do not fail in packages.py when failed to get signature (Denis Silakov
<dsilakov@virtuozzo.com>)

* Wed Oct 21 2020 VZ Auto Builder <builder@virtuozzo.com> 1.0.8
 - Cast to str certain results of execute_shell (Denis Silakov
<dsilakov@virtuozzo.com>)
 - Cast to str certain results of execute_shell (Denis Silakov
<dsilakov@virtuozzo.com>)

* Wed Oct 21 2020 VZ Auto Builder <builder@virtuozzo.com> 1.0.7
 - Cast to str certain results of execute_shell (Denis Silakov
<dsilakov@virtuozzo.com>)
 - Cast to str certain results of execute_shell (Denis Silakov
<dsilakov@virtuozzo.com>)

* Wed Oct 21 2020 VZ Auto Builder <builder@virtuozzo.com> 1.0.6
 - Cast to str certain results of execute_shell (Denis Silakov
<dsilakov@virtuozzo.com>)

* Wed Oct 21 2020 VZ Auto Builder <builder@virtuozzo.com> 1.0.5
 - Cast to str certain results of execute_shell (Denis Silakov
<dsilakov@virtuozzo.com>)

* Thu Oct 15 2020 Denis Silakov <dsilakov@virtuozzo.com> 1.0.4
 - Only install py scripts
 - Add Makefile
 - Clean gitignore
 - Leave only scipts
 - Drop obsolete OpenStack scripts
 - Try to hack infra-cep-helper for tests
 - Added disp-helper BR for tests
 - Fix DEST_DIR variable name
 - USe DESTDIR in makeinstall
 - Fix package name
 - Provide disp-helper-scripts
 - Move scripts to a separate package, PSBM-108035

* Thu Oct 15 2020 Denis Silakov <dsilakov@virtuozzo.com> 1.0.3
 - Add Makefile
 - Clean gitignore
 - Leave only scipts
 - Drop obsolete OpenStack scripts
 - Fix package name
 - Provide disp-helper-scripts
 - Move scripts to a separate package, PSBM-108035

* Thu Oct 15 2020 Denis Silakov <dsilakov@virtuozzo.com> 1.0.2
 - Clean gitignore
 - Leave only scipts
 - Drop obsolete OpenStack scripts
 - Fix package name
 - Provide disp-helper-scripts
 - Move scripts to a separate package, PSBM-108035

* Thu Oct 15 2020 Denis Silakov <dsilakov@virtuozzo.com> 1.0.1
 - Leave only scipts
 - Drop obsolete OpenStack scripts
 - Move scripts to a separate package, PSBM-108035

